@import url("https://fonts.googleapis.com/css2?family=M+PLUS+1:wght@100..900&display=swap");
html:has(.p-discovery) {
  max-width: none;
}

.p-discovery {
  overflow: hidden;
  font-family: "M PLUS 1", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-weight: 500;
  -webkit-font-smoothing: antialiased;
}

.p-discovery .l-main {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding-bottom: 0;
  width: 100%;
  height: 100%;
}

.p-discovery-heading {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 4;
  padding: 1em 2.055555556em 1em 1.666666667em;
  width: 16.111111111em;
  background: #2d4e96;
  border-radius: 0 0 10px 0;
  font-size: max(18px, 1.125vw);
}
.p-discovery-heading picture {
  display: block;
  height: 100%;
}
.p-discovery-heading img {
  width: 100% !important;
  height: auto !important;
}

.p-discovery-button {
  display: flex;
  justify-content: center;
}

.p-discovery-button__inner {
  position: relative;
  min-width: 240px;
  color: #fff;
  font-size: 1.125rem;
  font-weight: 700;
  text-align: center;
  text-decoration: none;
}
.p-discovery-button__inner span {
  position: relative;
  display: block;
  padding: 11px 50px 13px;
}
.p-discovery-button__inner::before {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  content: "";
  background: #2d4e96;
  border-radius: 60px;
  transition: background 0.35s, transform 0.35s cubic-bezier(0.68, -0.55, 0.265, 2.5);
}

.p-discovery-button__icon {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 16px;
  height: 16px;
  flex-shrink: 0;
}
.p-discovery-button__icon svg {
  fill: #fff;
  width: 16px;
  height: 16px;
}

.p-discovery-linkset {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px 14px;
}

.p-discovery-emidas {
  display: inline-block;
  padding: 5px 14px 6px;
  background: #edf3f7;
  border-radius: 40px;
  color: inherit;
  font-size: 12px;
  line-height: 1;
  text-decoration: none;
  transition: background 0.3s, color 0.3s;
}

.p-discovery-emidas__icon-blank {
  display: inline-block;
  width: 12px;
  height: 12px;
  margin-left: 5px;
  fill: currentColor;
  color: #2d4e96;
  vertical-align: bottom;
  transition: color 0.3s;
}
a:hover .p-discovery-emidas__icon-blank {
  color: #fff;
}

.p-discovery-recruit {
  position: fixed;
  right: 30px;
  bottom: 30px;
  z-index: 3;
}

.p-discovery-recruit__button {
  position: relative;
  display: block;
  width: 120px;
  height: 120px;
}
.p-discovery-recruit__button span {
  position: relative;
  display: block;
  transform: scale(1);
  transition: transform 0.35s cubic-bezier(0.68, -1.01, 0.32, 2.5);
  width: 100%;
  height: 100%;
  border-radius: 50%;
  overflow: hidden;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
}

.p-discovery-tutorial {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: none;
  height: 100%;
  max-height: none;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s;
  padding: 20px;
  margin: 0;
  border: none;
  background: transparent;
}
.p-discovery-tutorial::before {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  content: "";
  width: 100%;
  height: 100%;
  opacity: 0.9;
  background: #2d4e96;
}
.p-discovery-tutorial::backdrop {
  display: none;
}
.p-discovery-tutorial:not([open]) {
  display: flex;
}
.p-discovery-tutorial[open] {
  opacity: 1;
  pointer-events: all;
}

.p-discovery-tutorial__inner {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  padding: 50px 20px 80px;
  width: 100%;
  max-width: 640px;
  min-height: 480px;
  background: #fff;
  border-radius: 15px;
}

.p-discovery-tutorial__title {
  margin: 0 auto;
  text-align: center;
}
.p-discovery-tutorial__title img {
  width: auto;
  height: 120px;
}

.p-discovery-tutorial__lead {
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.8;
  text-align: center;
}

.p-discovery .l-header {
  position: absolute;
  top: -100%;
  transition: 0.3s ease;
  width: 100%;
}
.p-discovery .l-header.is-inview {
  top: 0;
}

.p-discovery .l-header__inner {
  max-width: 2200px;
  margin-right: auto;
  margin-left: auto;
}

.p-discovery-menu {
  position: absolute;
  top: 30px;
  right: 30px;
  transition: top 0.3s;
}
.p-discovery-menu:has(.is-active) {
  top: 140px;
}

.p-discovery-menu__button {
  display: block;
  position: relative;
  z-index: 9;
}
.p-discovery-menu__button button {
  display: block;
  width: 50px;
  height: 50px;
  background: #fff;
  border-radius: 50%;
  filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.16));
  transform: scale(1);
  transition: background 0.35s, transform 0.35s cubic-bezier(0.68, -0.55, 0.265, 2.5);
}
.p-discovery-menu__button span {
  display: block;
  width: 14px;
  height: 2px;
  background: #2d4e96;
  position: absolute;
  left: 18px;
  transition: transform 0.3s, background 0.3s;
}
.p-discovery-menu__button span:nth-child(1) {
  top: 19px;
}
.p-discovery-menu__button span:nth-child(2) {
  top: 24px;
}
.p-discovery-menu__button span:nth-child(3) {
  top: 29px;
}
.p-discovery-menu__button.is-active button, .p-discovery-menu__button.is-scroll button {
  background-color: #49BCBD;
}
.p-discovery-menu__button.is-active span, .p-discovery-menu__button.is-scroll span {
  background: #fff;
}
.p-discovery-menu__button.is-active span:nth-child(1), .p-discovery-menu__button.is-scroll span:nth-child(1) {
  transform: rotate(45deg);
  top: 24px;
}
.p-discovery-menu__button.is-active span:nth-child(2), .p-discovery-menu__button.is-scroll span:nth-child(2) {
  display: none;
}
.p-discovery-menu__button.is-active span:nth-child(3), .p-discovery-menu__button.is-scroll span:nth-child(3) {
  transform: rotate(-45deg);
  top: 24px;
}

.p-discovery-map-wrap {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.p-discovery-map {
  position: relative;
  height: 100%;
  overflow: auto;
  overscroll-behavior: none;
  cursor: move;
}
.p-discovery-map img {
  display: block;
  height: 100%;
  width: auto;
  max-width: none;
}

.p-discovery-map__content {
  position: relative;
  min-height: 100%;
  aspect-ratio: 1600/900;
  overflow: hidden;
}
.p-discovery-map__content::before {
  position: absolute;
  top: 0;
  right: 0;
  display: block;
  content: "";
  width: 43.75%;
  aspect-ratio: 700/404.15;
  -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%);
          clip-path: polygon(0 0, 100% 0, 100% 100%);
  background: #2d4e96;
}

.p-discovery-map__item::after {
  position: absolute;
  opacity: 0;
  transform-origin: center;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.3s, opacity 0.3s;
  z-index: 4;
  aspect-ratio: 1/1;
  display: block;
  content: "";
  border: 3px solid #69BABC;
  border-radius: 50%;
  box-shadow: 0px 0px 0px 3px rgba(255, 255, 255, 0.8), 0px 0px 0px 3px rgba(255, 255, 255, 0.8) inset;
}
.p-discovery-map__item:has(> .p-discovery-map__button.-red)::after {
  border-color: #E68A34;
}
.p-discovery-map__item:has(> .p-discovery-map__button:hover)::after {
  opacity: 10;
  transform: translate(-50%, -50%) scale(1);
}

.p-discovery-map__picture {
  position: relative;
  pointer-events: none;
  animation-name: inview;
  animation-duration: 1s;
  animation-timing-function: ease-out;
  animation-direction: normal;
  animation-fill-mode: forwards;
  animation-play-state: paused;
}
:not(.is-inview) .p-discovery-map__picture {
  transform: translateY(-30px);
}
.is-inview .p-discovery-map__picture {
  animation-play-state: running;
  animation-delay: 0.2s;
}
.p-discovery-map__picture img {
  position: relative;
  transform: translateY(0);
  width: 100%;
  transition: filter 0.3s ease-in-out;
}
.p-discovery-map__picture.-delay1 {
  animation-delay: 0.4s;
}
.p-discovery-map__picture.-delay2 {
  animation-delay: 0.6s;
}
.p-discovery-map__picture.-delay3 {
  animation-delay: 0.8s;
}
.p-discovery-map__picture.-delay4 {
  animation-delay: 1s;
}
.p-discovery-map__picture.-delay5 {
  animation-delay: 1.2s;
}
.p-discovery-map__button:has(a:hover) ~ .p-discovery-map__picture img, .p-discovery-map__button:has(a:hover) ~ * .p-discovery-map__picture img {
  filter: drop-shadow(0 8px 24px rgba(255, 255, 255, 0.7));
}

.p-discovery-map__button {
  position: absolute;
  left: 0;
  right: 0;
  z-index: 3;
}
.p-discovery-map__button a {
  position: absolute;
  transform: translateX(-50%) translateY(calc(-100% - 10px));
  display: block;
  color: #fff;
  text-decoration: none;
}
.p-discovery-map__button a:hover span {
  transform: scale(1.12);
  background: #49BCBD;
}
.p-discovery-map__button span {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  justify-content: center;
  width: 7.777777778em;
  min-height: 4.444444444em;
  padding: 15px 0;
  background: #0F71C6;
  border-radius: 6px;
  box-shadow: 0 0 0 2px #fff;
  font-size: max(18px, 1.125vw);
  font-weight: 700;
  line-height: 1.5;
  text-align: center;
  transform: scale(1);
  transform-origin: bottom center;
  transition: background 0.35s, transform 0.35s cubic-bezier(0.68, -1.01, 0.32, 2.5);
}
.p-discovery-map__button span::before {
  position: absolute;
  top: calc(100% - 1px);
  left: 50%;
  transform: translateX(-6px);
  display: block;
  content: "";
  width: 12px;
  height: 10px;
  -webkit-clip-path: polygon(0 0, 100% 0, 50% 100%);
          clip-path: polygon(0 0, 100% 0, 50% 100%);
  background: inherit;
}
.p-discovery-map__button span::after {
  position: absolute;
  top: 100%;
  left: 50%;
  z-index: -1;
  transform: translateX(-8px);
  display: block;
  content: "";
  width: 16px;
  height: 13px;
  -webkit-clip-path: polygon(0 0, 100% 0, 50% 100%);
          clip-path: polygon(0 0, 100% 0, 50% 100%);
  background: #fff;
}
.p-discovery-map__button span small {
  display: block;
  padding: 4px 18px;
  width: -moz-max-content;
  width: max-content;
  background: #fff;
  border-radius: 20px;
  color: #0F71C6;
  font-size: 0.8125rem;
  font-weight: 700;
  line-height: 1;
  transition: color 0.3s;
}
.p-discovery-map__button.-red a span {
  background: #E80A46;
}
.p-discovery-map__button.-red a span small {
  color: #E80A46;
}
.p-discovery-map__button.-red a:hover span {
  background: #f48506;
}
.p-discovery-map__button.-red a:hover span small {
  color: #f48506;
}

.p-discovery-map__office {
  position: absolute;
  top: 20.5555555556%;
  left: 23.4375%;
  z-index: 2;
  width: 13.4375%;
  aspect-ratio: 215/224;
  transition: top 2.4s cubic-bezier(0.25, 1, 0.5, 1);
}
.p-discovery-map__office .p-discovery-map__button {
  top: -3.125%;
  left: 48.8372093023%;
}
.p-discovery-map__office .p-discovery-map__item::after {
  top: 49.1071428571%;
  left: 51.1627906977%;
  width: 104.1860465116%;
}

.p-discovery-map__electronics {
  position: absolute;
  top: 53.8888888889%;
  left: 40.3125%;
  z-index: 2;
  width: 13.4375%;
  aspect-ratio: 215/224;
  transition: top 2.4s cubic-bezier(0.25, 1, 0.5, 1);
}
.p-discovery-map__electronics .p-discovery-map__button {
  top: -3.125%;
  left: 51.1627906977%;
}
.p-discovery-map__electronics .p-discovery-map__item::after {
  top: 49.1071428571%;
  left: 51.1627906977%;
  width: 104.1860465116%;
}

.p-discovery-map__island {
  position: absolute;
  top: 2.2222222222%;
  left: 33.75%;
  z-index: 1;
  width: 47.3125%;
  aspect-ratio: 757/526;
  transition: top 2.4s cubic-bezier(0.25, 1, 0.5, 1);
}
.p-discovery-map__island .p-discovery-map__item.-automobiles .p-discovery-map__button {
  top: 25.6653992395%;
  left: 23.7780713342%;
}
.p-discovery-map__island .p-discovery-map__item.-automobiles::after {
  top: 43.7262357414%;
  left: 23.7780713342%;
  width: 24.3064729194%;
}
.p-discovery-map__island .p-discovery-map__item.-construction .p-discovery-map__button {
  top: 48.4790874525%;
  left: 71.3342140026%;
}
.p-discovery-map__island .p-discovery-map__item.-construction::after {
  top: 72.2433460076%;
  left: 71.3342140026%;
  width: 30.7793923382%;
}

.p-discovery-map__plant {
  position: absolute;
  top: 51.1111111111%;
  left: 4.0625%;
  z-index: 2;
  width: 32.5%;
  aspect-ratio: 520/366.19;
  transition: top 1.2s cubic-bezier(0.25, 1, 0.5, 1);
}
.p-discovery-map__plant .p-discovery-map__button {
  top: 2.7308227969%;
  left: 51.1538461538%;
}
.p-discovery-map__plant .p-discovery-map__item::after {
  top: 46.4239875474%;
  left: 51.1538461538%;
  width: 56.3461538462%;
}

.p-discovery-map__recycling {
  position: absolute;
  top: 68.8888888889%;
  left: 43.75%;
  z-index: 2;
  width: 32.5%;
  aspect-ratio: 520/315;
  transition: top 1.2s cubic-bezier(0.25, 1, 0.5, 1);
}
.p-discovery-map__recycling .p-discovery-map__button {
  top: -3.1746031746%;
  left: 57.6923076923%;
}
.p-discovery-map__recycling .p-discovery-map__item::after {
  top: 42.8571428571%;
  left: 57.8846153846%;
  width: 52.5%;
}

.p-discovery-map__home {
  position: absolute;
  top: 53.3333333333%;
  left: 70%;
  z-index: 2;
  width: 13.4375%;
  aspect-ratio: 215/224;
}
.p-discovery-map__home .p-discovery-map__button {
  top: 17.8571428571%;
  left: 90.6976744186%;
}
.p-discovery-map__home .p-discovery-map__item::after {
  top: 42.4107142857%;
  left: 91.1627906977%;
  width: 43.2558139535%;
}

.p-discovery-map__aerospace {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.p-discovery-map__aerospace .p-discovery-map__button {
  top: 15.1111111111%;
  left: 87.8125%;
}
.p-discovery-map__aerospace .p-discovery-map__button span {
  box-shadow: 0 0 0 2px #fff;
}
.p-discovery-map__aerospace .p-discovery-map__item::after {
  top: 31.5555555556%;
  left: 87.8125%;
  width: 17.0625%;
}

.p-discovery-map__aerospace-satellite {
  position: absolute;
  top: 19.0488888889%;
  left: 81.875%;
  z-index: 2;
  width: 15%;
  aspect-ratio: 240/139.17;
}
.p-discovery-map__button:has(a:hover) ~ .p-discovery-map__aerospace-satellite img {
  filter: drop-shadow(0 8px 14px rgba(0, 0, 0, 0.1));
}

.p-discovery-map__aerospace-aviation {
  position: absolute;
  top: 30.3333333333%;
  left: 81.3125%;
  z-index: 1;
  width: 11.25%;
  aspect-ratio: 180/121.4;
}

.p-discovery-map__bg {
  position: absolute;
  top: -14.1111111111%;
  left: -18.8125%;
  width: 83.3125%;
  opacity: 0.75;
}
.p-discovery-map__bg img {
  width: 100%;
  height: auto;
}

@keyframes inview {
  0% {
    transform: translateY(-30px);
  }
  100% {
    transform: translateY(0);
  }
}
@keyframes poyo {
  from, to {
    transform: none;
  }
  10% {
    transform: scale(1.06);
  }
  40% {
    transform: scale(0.96);
  }
  60% {
    transform: scale(1.02);
  }
  80% {
    transform: scale(0.99);
  }
}
.p-discovery-popup {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1000;
  display: block;
  width: 100vw;
  max-width: none;
  height: 100dvh;
  max-height: none;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s;
  overflow-y: auto;
  margin: 0;
  padding: 0;
  border: none;
  background: transparent;
}
.p-discovery-popup[open] {
  opacity: 1;
  pointer-events: all;
}
.p-discovery-popup:not([open]) {
  display: block;
}
.p-discovery-popup::before {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  content: "";
  width: 100vw;
  height: 100vh;
  opacity: 0.9;
  background: #2d4e96;
}
.p-discovery-popup::backdrop {
  display: none;
}

.p-discovery-popup__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  width: calc(100% - 40px);
  min-height: calc(100% - 240px);
  margin: 120px 20px;
}

.p-discovery-popup__body {
  position: relative;
  width: 100%;
  max-width: 640px;
  margin: 0 auto;
  background: #fff;
  border-radius: 15px;
  max-height: calc(100vh - 240px);
  overflow: hidden;
}

.p-discovery-popup__wrap {
  padding: 50px 60px 60px;
  overflow-y: scroll;
  max-height: calc(100vh - 240px);
}

.p-discovery-popup__close {
  position: absolute;
  top: 20px;
  right: 20px;
}
.p-discovery-popup__close button {
  display: block;
  width: 50px;
  height: 50px;
  background: #2d4e96;
  border-radius: 50%;
  filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.16));
  transition: background 0.35s, transform 0.35s cubic-bezier(0.68, -0.55, 0.265, 2.5);
}
.p-discovery-popup__close span {
  display: block;
  width: 14px;
  height: 2px;
  background: #fff;
  position: absolute;
  left: 18px;
  transition: transform 0.3s, background 0.3s;
}
.p-discovery-popup__close span:nth-child(1) {
  transform: rotate(45deg);
  top: 24px;
}
.p-discovery-popup__close span:nth-child(2) {
  transform: rotate(-45deg);
  top: 24px;
}

.p-discovery-popup__column {
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 40px;
}

.p-discovery-popup__column__item:only-of-type {
  width: 100%;
}

.p-discovery-popup__title {
  margin-bottom: 24px;
  font-size: 32px;
  font-weight: 700;
}

.p-discovery-popup__subtitle {
  margin: 30px 0 15px;
  color: #2d4e96;
  font-size: 18px;
  font-weight: 500;
}

.p-discovery-popup__image img {
  width: 100%;
  height: auto;
}

.p-discovery-popup__text {
  font-size: 16px;
  line-height: 1.8;
  letter-spacing: 0.04em;
}
.p-discovery-popup__text .c-link {
  color: inherit;
}
.p-discovery-popup__text .c-link svg {
  color: #2d4e96;
}

.p-discovery-popup__button {
  margin-top: 20px;
}
.p-discovery-popup__button .p-discovery-button {
  justify-content: flex-start;
}

.p-discovery-popup__relations {
  font-size: 16px;
  line-height: 1.8;
  letter-spacing: 0.04em;
}
.p-discovery-popup__relations .c-link {
  color: inherit;
}
.p-discovery-popup__relations .c-link svg {
  color: #2d4e96;
}
.p-discovery-popup__relations .c-link__icon-blank {
  width: 16px;
  height: 16px;
  vertical-align: -2px;
}
@media screen and (max-width: 767px){
  .p-discovery-heading {
    padding: 10px 20px;
    width: 100vw;
    height: 40px;
    border-radius: 0;
  }
  .p-discovery-heading img {
    width: auto !important;
    height: 100% !important;
  }
  .p-discovery-button__inner {
    font-size: 1rem;
  }
  .p-discovery-button__inner span {
    padding: 12px 50px 14px;
  }
  .p-discovery-recruit {
    right: 14px;
    bottom: 10px;
  }
  .p-discovery-recruit__button {
    width: 90px;
    height: 90px;
  }
  .p-discovery-tutorial__inner {
    padding: 40px 20px;
  }
  .p-discovery-tutorial__title img {
    height: 110px;
  }
  .p-discovery-tutorial__lead {
    font-size: 1rem;
  }
  .p-discovery-menu {
    top: 55px;
    right: 15px;
  }
  .p-discovery-menu:has(.is-active) {
    top: 80px;
  }
  .p-discovery-map::-webkit-scrollbar {
    display: none;
  }
  .p-discovery-map__content {
    min-width: 160vh;
    min-height: calc(100vh - 40px);
    margin-top: 40px;
  }
  .p-discovery-map__button span {
    width: 7.777777778em;
    min-height: 4.444444444em;
  }
  .p-discovery-popup__inner {
    margin: 40px 20px;
    min-height: calc(100% - 80px);
  }
  .p-discovery-popup__wrap {
    padding: 70px 20px 40px;
  }
  .p-discovery-popup__column {
    flex-direction: column;
    gap: 20px;
  }
  .p-discovery-popup__column__item {
    width: 100%;
  }
  .p-discovery-popup__title {
    margin-bottom: 10px;
    font-size: 24px;
  }
  .p-discovery-popup__subtitle {
    margin-top: 15px;
  }
}
@media (min-width: 768px) and (max-width: 1200px){
  .p-discovery {
    min-width: 1240px;
  }
  .p-discovery-recruit__button span {
    transform: none !important;
  }
}
@media (min-width: 768px){
  .p-discovery-button__inner:hover::before {
    transform: scale(1.03);
    background: #49BCBD;
  }
  .p-discovery-emidas:hover {
    color: #fff;
    background: #49BCBD;
  }
  .p-discovery-recruit__button:hover span {
    transform: scale(1.09);
  }
  .p-discovery-menu__button button:hover {
    transform: scale(1.12);
    background: #49BCBD;
  }
  .p-discovery-menu__button button:hover span {
    background: #fff;
  }
  .p-discovery-map {
    scrollbar-width: thin;
    scrollbar-color: #2d4e96 #eee;
  }
  .p-discovery-map::-webkit-scrollbar {
    width: 12px;
    height: 12px;
  }
  .p-discovery-map::-webkit-scrollbar-track {
    background: #eee;
  }
  .p-discovery-map::-webkit-scrollbar-thumb {
    border: 3px solid #eee;
    background-color: #2d4e96;
    border-radius: 10px;
  }
  .p-discovery-popup__close button:hover {
    transform: scale(1.12);
    background: #49BCBD;
  }
}
